Bug 23628 - Fix selection painting to do container-relative repaints
Summary: Fix selection painting to do container-relative repaints
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks: 23359
  Show dependency treegraph
 
Reported: 2009-01-29 15:36 PST by Simon Fraser (smfr)
Modified: 2010-01-22 20:09 PST (History)
3 users (show)

See Also:


Attachments
Patch, changelog. (35.95 KB, patch)
2009-02-03 17:48 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (25.16 KB, patch)
2009-12-03 15:34 PST, mitz
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2009-01-29 15:36:00 PST
Selection currently repaints via the view. This needs to be fixed to make repaints container-relative.
Comment 1 Simon Fraser (smfr) 2009-02-03 17:48:58 PST
Created attachment 27305 [details]
Patch, changelog.
Comment 2 Dave Hyatt 2009-02-03 18:12:42 PST
Comment on attachment 27305 [details]
Patch, changelog.

r=me

Run pixel tests before landing this, since that's the only way to see some of this in action.
Comment 3 Simon Fraser (smfr) 2009-02-03 18:42:00 PST
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/GNUmakefile.am
	M	WebCore/WebCore.vcproj/WebCore.vcproj
	M	WebCore/WebCore.xcodeproj/project.pbxproj
	M	WebCore/rendering/RenderBR.h
	M	WebCore/rendering/RenderBlock.cpp
	M	WebCore/rendering/RenderBlock.h
	M	WebCore/rendering/RenderListMarker.cpp
	M	WebCore/rendering/RenderListMarker.h
	M	WebCore/rendering/RenderObject.h
	M	WebCore/rendering/RenderReplaced.cpp
	M	WebCore/rendering/RenderReplaced.h
	M	WebCore/rendering/RenderSVGInlineText.cpp
	M	WebCore/rendering/RenderSVGInlineText.h
	A	WebCore/rendering/RenderSelectionInfo.h
	M	WebCore/rendering/RenderText.cpp
	M	WebCore/rendering/RenderText.h
	M	WebCore/rendering/RenderView.cpp
	M	WebCore/rendering/RenderView.h
	M	WebCore/rendering/RenderWidget.cpp
Committed r40564
Comment 4 Simon Fraser (smfr) 2009-02-03 18:42:34 PST
Comment on attachment 27305 [details]
Patch, changelog.

Landed in r40564. Keeping open to fix RenderBlock::selectionGapRectsForRepaint()
Comment 5 Simon Fraser (smfr) 2009-02-06 20:10:07 PST
Comment on attachment 27305 [details]
Patch, changelog.

Getting out of the 'patches to land' queue.
Comment 6 Simon Fraser (smfr) 2009-11-20 13:54:28 PST
<rdar://problem/7401617>
Comment 7 mitz 2009-12-03 15:34:13 PST
Created attachment 44272 [details]
Patch
Comment 8 WebKit Review Bot 2009-12-03 15:35:39 PST
style-queue ran check-webkit-style on attachment 44272 [details] without any errors.
Comment 9 mitz 2009-12-03 16:19:21 PST
Comment on attachment 44272 [details]
Patch

Committed http://trac.webkit.org/projects/webkit/changeset/51668
Comment 10 Simon Fraser (smfr) 2010-01-22 20:09:03 PST
Fixed in http://trac.webkit.org/changeset/51776 and 
http://trac.webkit.org/changeset/51668